commit 2dfa92f0653771f6872847d1f2629abce21c9158
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Jun 22 02:19:48 2023

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 047f836b4f3..2fa39115675 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230621
+20230622
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 214b6013268..bf1868bccd2 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,9 @@
+2023-06-21  Jason Merrill  <jason@redhat.com>
+
+	PR tree-optimization/105651
+	* include/bits/basic_string.tcc (_M_replace): Add an assert
+	to avoid -Wrestrict false positive.
+
 2023-05-30  Alexandre Oliva  <oliva@adacore.com>
 
 	Backported from master:

